## tcptraceroute 1.2

=== Makefile ===
# tcptraceroute -- A traceroute implementation using TCP packets
# Copyright (c) 2001, Michael C. Toren <mct@toren.net>

CC = gcc
CFLAGS = -O2 -Wall
DESTDIR=/usr/local/bin

tcptraceroute: tcptraceroute.c
	$(CC) $(CFLAGS) `libnet-config --defines` \
		-o tcptraceroute tcptraceroute.c \
		`libnet-config --libs` -lpcap

static:
	$(MAKE) tcptraceroute CFLAGS="$(CFLAGS) -static"

install: tcptraceroute
	install -D tcptraceroute $(DESTDIR)/tcptraceroute

distrib: clean changelog man

clean:
	rm -f core a.out tcptraceroute *~

changelog: tcptraceroute.c Makefile
	perl -000 -ne 'next unless (/\*\s+Revision\s+history:/); \
		print "Extracted from tcptraceroute.c:\n\n$$_"; exit;' \
		< tcptraceroute.c | expand -t 4 > changelog

man: tcptraceroute.8.html Makefile
tcptraceroute.8.html: tcptraceroute.8
	rman -fHTML -r- tcptraceroute.8 > tcptraceroute.8.html

## tcptraceroute 1.5beta7%2Bdebian

=== debian/rules ===
#!/usr/bin/make -f
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

execute_after_dh_auto_install:
	mv debian/tcptraceroute/usr/bin/tcptraceroute debian/tcptraceroute/usr/bin/tcptraceroute.mt
	mv debian/tcptraceroute/usr/share/man/man1/tcptraceroute.1 debian/tcptraceroute/usr/share/man/man1/tcptraceroute.mt.1
	rm -rf debian/tcptraceroute/usr/share/doc/tcptraceroute

execute_after_dh_fixperms:
	chmod 4755 debian/tcptraceroute/usr/bin/tcptraceroute.mt

## tcptraceroute 1.5beta7%2bdebian

=== debian/changelog ===
tcptraceroute (1.5beta7+debian-4maemo4) freemantle; urgency=low

  * Upgraded source format to 3.0 (quilt)

 -- Graham Inggs <graham@nerve.org.za> Sat, 14 Jul 2012 14:27:00 +0200

tcptraceroute (1.5beta7+debian-4maemo3) freemantle; urgency=low

  * Added CLI icon, updated Section and Description

 -- Graham Inggs <graham@nerve.org.za> Tue, 20 Sep 2011 19:15:00 +0200

tcptraceroute (1.5beta7+debian-4maemo2) freemantle; urgency=low

  * Uncommented lines accidentally left commented in main.c

 -- Graham Inggs <graham@nerve.org.za> Tue, 13 Sep 2011 22:40:00 +0200

tcptraceroute (1.5beta7+debian-4maemo1) freemantle; urgency=low

  * Packaged for Maemo

 -- Graham Inggs <graham@nerve.org.za> Sun, 11 Sep 2011 00:30:00 +0200

tcptraceroute (1.5beta7+debian-4) unstable; urgency=low

  * [c22350e] New maintainers, thanks to Daniel Baumann for the prior
    work on tcptraceroute (Closes: #543861)
  * [3946e75] debian/control: Added Vcs and DM-Upload-Allowed control
    fields
  * [69139a4] Added a watch file

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sat, 29 Aug 2009 19:07:57 +0200

tcptraceroute (1.5beta7+debian-3) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 08:33:47 +0200

tcptraceroute (1.5beta7+debian-2) unstable; urgency=low

  * Updating vcs fields in control file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Updating package to standards version 3.8.2.
  * Updating year in copyright file.
  * Updating rules file to current state of the art.
  * Added missing comma in depends.
  * Prefixing debhelper files with package name.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Jul 2009 01:14:32 +0200

tcptraceroute (1.5beta7+debian-1) unstable; urgency=low

  * Removing tcptraceroute.c file, it's a left-over from source-file
    splitting in 1.5beta5 to 1.5beta6.
  * Merging upstream version 1.5beta7 (Closes: #487210).

 -- Daniel Baumann <daniel@debian.org>  Tue, 24 Jun 2008 07:44:00 +0200

tcptraceroute (1.5beta6-3) unstable; urgency=low

  * New maintainer (Closes: #487736).
  * Redone debian packaging from scratch.

 -- Daniel Baumann <daniel@debian.org>  Mon, 23 Jun 2008 23:05:00 +0200

tcptraceroute (1.5beta6-2.1) unstable; urgency=low

  * Non-maintainer upload with maintainers blessing:
    - Adding alternatives handling for tcptraceroute (Closes: #438757).
  * Some additional things:
    - Bumping standards version, no other changes needed.
    - Bumping debhelper version, no other changes needed.
    - Removing useless whitespaces at EOL and EOF in debian/*.
    - Updating libpcap-dev build-depends to libpcap0.8-dev (Closes: #422559).
    - Updating clean target in rules (Closes: #424216).
    - Updating FSF address in copyright.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 10:43:00 +0100

tcptraceroute (1.5beta6-2) unstable; urgency=low

  * Update config.guess/config.sub from autotools-dev. Closes: 333827.
  * Change $(PWD) to $(CURDIR) in debian/rules.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 24 Mar 2007 23:33:31 +0100

tcptraceroute (1.5beta6-1) unstable; urgency=low

  * new upstream beta version
    Closes: 298502: new upstream version
  * add notes to README.Debian about upstream author's
    desire for specific tests and feedback.

 -- David Coe <davidc@debian.org>  Mon, 14 Mar 2005 00:35:38 -0500

tcptraceroute (1.5beta5-2) unstable; urgency=low

  * build again with sarge rather than sid libraries; oops.

 -- David Coe <davidc@debian.org>  Mon, 15 Nov 2004 00:55:24 -0500

tcptraceroute (1.5beta5-1) unstable; urgency=low

  * new upstream (beta) release; stable since 2003-07-02; notable changes:
    - Now functions properly with libpcap when using an interface without a
      valid IPv4 addresss.
      Closes: #183456: fails on pcap_lookupnet when only alias interfaces configured
    - Matt Zimmerman's security fix (in 1.4-4) has been integrated upstream.
    - Added linklayer support for PPPoE interfaces.
    - Improved the round trip time calculations.
  * debian/control, debian/rules: minor changes for new upstream (autoconf, libnet1)
    Closes: #255764: uses old libnet0 which is broken on 64bit arches
    Closes: #269143: FTBFS: unsatisfiable build-dependency
  * debian/control, debian/rules: debhelper compatability 4
  * debian/control: standards version 3.5.10 -> 3.6.1; no changes required.

 -- David Coe <davidc@debian.org>  Sun, 14 Nov 2004 23:49:05 -0500

tcptraceroute (1.4-5) unstable; urgency=low

  * rebuild with libpcap0.7; no other changes.
    Closes: #199790: `pcap_version' has different size in shared object, consider re-linking

 -- David Coe <davidc@debian.org>  Fri, 04 Jul 2003 01:20:44 -0400

tcptraceroute (1.4-4) unstable; urgency=low

  * security fix (seteuid -> setuid) thanks to Matt Zimmerman.
    Closes: #198142: Does not drop root privileges properly
  * standards version 3.5.10 (add support for DEB_BUILD_OPTIONS
    "noopt", compile with -g regardless of "debug")

 -- David Coe <davidc@debian.org>  Thu, 19 Jun 2003 23:18:49 -0400

tcptraceroute (1.4-3) unstable; urgency=low

  * corrected a c syntax error exposed by gcc-3.3
    Closes: #195595: FTBFS with gcc-3.3: Uses multiline strings

 -- David Coe <davidc@debian.org>  Sun, 01 Jun 2003 01:26:00 -0400

tcptraceroute (1.4-2) unstable; urgency=low

  * built in a 'sid' chroot to get the new libpcap; no other changes
    Closes: #156187: uninstallable because of libpcap change

 -- David Coe <davidc@debian.org>  Wed, 14 Aug 2002 19:07:19 -0400

tcptraceroute (1.4-1.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:37:45 +0200

tcptraceroute (1.4-1) unstable; urgency=low



=== debian/control ===
Source: tcptraceroute
Section: user/network
Priority: optional
Maintainer: Graham Inggs <graham@nerve.org.za>
XSBC-Original-Maintainer: Giuseppe Iuculano <giuseppe@iuculano.it>
Uploaders: Martin Zobel-Helas <zobel@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, libpcap0.8-dev, libnet1-dev
Standards-Version: 3.8.3
Homepage: http://michael.toren.net/code/tcptraceroute/
Vcs-Git: git://git.debian.org/git/collab-maint/tcptraceroute.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/tcptraceroute.git
DM-Upload-Allowed: yes

Package: tcptraceroute
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: traceroute implementation using TCP packets
 The more traditional traceroute(8) sends out either UDP or ICMP ECHO packets
 with a TTL of one, and increments the TTL until the destination has been
 reached. By printing the gateways that generate ICMP time exceeded messages
 along the way, it is able to determine the path packets are taking to reach the
 destination.
 .
 The problem is that with the widespread use of firewalls on the modern
 Internet, many of the packets that traceroute(8) sends out end up being
 filtered, making it impossible to completely trace the path to the destination.
 However, in many cases, these firewalls will permit inbound TCP packets to
 specific ports that hosts sitting behind the firewall are listening for
 connections on. By sending out TCP SYN packets instead of UDP or ICMP ECHO
 packets, tcptraceroute is able to bypass the most common firewall filters.
 .
 This application can only be executed from the command line.
XB-Maemo-Icon-26: 
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAC/JJREFUeNrUWkuoJkcVPqeq
 uvt/3XmhIRJGZ5TxASoZFVQQVFBHxIgLoysXIYKIG0HBB5Is3BkMCG40C1cG
 F4ogWUhiEkEZIkTEkIAZJTE4E5J4zczc+z/6VVV+51T1nT9jJt4/TnTSTN3q
 7r8f3zn1na/OqR5+28mT5LuOtp8+R33fnxpVo49Za45ba4uqLENROG9d0TVt
 0wcf+hhDiJE8s+mZyXvfeyLuI2G/6/oQfTDG9caa3vd9F0LorcUzrPW4FTeH
 3lnX4bhnQx0zd9bYDvd3RHrcWMMtnt8Zy20MsY0xtnhRS2way7zCdbUrq94V
 FTk8lNqmcYcPHfrRiTcdv8VZQ77vCEaQc5YYV3tcEwW1D9qCbjAlwqSAlvZ8
 pCiXipEe16MBVIwAJyCoJYoNjK1xro5MK4q0JAEUaQFnLGDEAu+bk/TM2uOe
 Bd6F5pb4fWmMKfCsAm+cG+47x31Ps6r88rveceMtz21vhzN/fSIsVysBqeCx
 RbxE9iM63CsbBznGQUgdiYVBbJXfiKP0nuW8nqOQr5Hb5Y/0IT1Trtfneb2W
 9Rk9jnsZERx3LMcYKQPEGM1+MpmEAsMYwAkHBxYn3viGL+zs7NCvH/xtwFCx
 sRgogcn5NYYSbjkHdPhjKIGzegVzHI4Ns4DATWzyLWq4GgZQrPfiDs5uYb0/
 qLGsQAW8Uis1NQD0EQNAK2N7DLOfTaegKrNbLpbHZtPJ8d8//EcZfy7LUrHr
 q8UnI7T2BZBC/tkS7Rkm4EwaLUq282Cygo8yQqCNF2/iVCf0wg8tLhOO10It
 +KHGsXB8lY7RZ85bYxq9HrHXtV2/MqsArNFVZXHDYr6YXri4g+CyCTzCKYo/
 xiDb93rq7zIU/mATmCo5dQ08ZYODUiWmHmAyWMQEYgB9gzsaTwEgEQfMS9i0
 ZOE5c+K+8D5G9BILPIcXECO0kuthfmMkoEOA8c6raODBjoI/WLctNU0bdWDF
 69dFLm/vqfg0rLieqPw8IvMBT+03cfljuKYElKgGDM2vtT41Fv5m71KdvIqg
 lcZxAaALGLuLm3exv4tXa09iSJRAxjUaxDCAqYERDRvuoHFKIRFD7MGUEKZN
 28EOn8YbXfX9nsrPQp1+gdteo4+k4pORzNs7Xt5YBJqDz5YG3l8GXOVQPK7g
 swED+AxKFCbOxQCiSy0mQ1R9sI/rWcDXWcEAkhDE4AacBz5FqDYZ54pxByUS
 XZSA5THI/T7s4rX1zfD4n2D+F11o7jQxPGQiH97z/hXBi5Zn8JnPA3BtChSg
 drC/g2u1xznpYZSMTBw8XwNWA2ydPh/SDKbgsIkIYFUHh8iuus4rJgxRFKWO
 f4ERr8dI/NCTOYbz14O8X3Veye9woVPw8VKQXooF2QAA+qAh73IrBzlV2Uwx
 A6ljaHocGWemeOIuFFAMWOL8SpwgSMUpwOhlw0SbZHjtja73vuowmeKkGKR6
 0XzNMf+kp+rWoBfZB3vjf8Pcfgez6cOlsSJV1hEkDUZbDGNJxhZki5Ksq9CP
 tLlyTLacUFFNyY3QqgmVoy3sz6hAczhfVDM97+yE2p2nHn3s/ru+8fTjpx8C
 +DaDB+5e5D1e5qyE7ciRIx8CjT6yvb3dq9cMbDjHsbvLRH+aI78V98wxVB+I
 XHwumHDvyNCzcKiDY00BAwo8BccW3DMjCuijGaOfkrcz9FvoD4C8W9SbQ9Sa
 g+DYQUTlQUT2QVrFA7RE8+YAucPHrnvLyVOfubj99/t3njnztyuBLwrJElQO
 ycDSUiRaL5C/oxjtBwOZdwfqfoWfH4WOnXJdc5sLvIUbPgohpCIxQ/hk8CAB
 DJYEhgE0htgDPE3QZtDQGQR/Rm3Yogat9lu06ma0ardo2cxoUU9pvprS9s6Y
 zj4/ojPbRRmO3Xy7gO+67oqe36MQZt1CMhvld49Z9Eh04wc6E59FxL23CHqr
 YKvy1NSA2qANeINWEsP7UUbCVhTR2I20jwWMwj658aVm82/a4148g9nKoKep
 sYPyyTMPHn2PeD7jeskNZGeMgOYx4lgbn+LQ3mG5+ro30zOdEwl1Hw8j8zpE
 4eNI9O6ZKN8ZU7RMCBQr3TfwPpsJDBnDLhwXM+JiSqba0n1T5mNp5RSG4loY
 acRoNLKZjurw8dhL1riPDQmnFQN6zWdYFSa230K+8Qj8cyqw+wR4/wj7/gcj
 0//0gKF/jDE3wGMHukFLUjMpuWBfkPETHQlTTBSggjQS6CnYxesp3HJSItN+
 8JrmqXh5Q/vdHENQYxqq1PK9/d0IoLuNr+7sR92ddl5cOLQFxUX0ANCn/kn2
 S+czMyW9y+mTpJQ/P07unpvAsFEGLB52ClxVCwA5ZXS4L+rMqcKqucuQcNX7
 NwDgNeXP+hyGzIbLNEm1t7kdTE+dmdlZBAiZCOiXN1C496hy2qBpD46z9FAX
 2TdQIWlCKwM1Mgh0JFeJakioOAr9MBrBJa+vJ7A97d8ACRRJYfMkY/MsEfNj
 PJyhOY11JXiGlzKMaAHCj5UmGpygSgwT5XjEvpdABWVCDnLDKVhZwzVVBFoy
 yMwv7+NLCXAyYLWZAVLurSVlQ5qQDDCaGrRwYxDwovXidXZJcVg8Lx7PvQax
 eF69Lx6f4DHVpaAPMCpP0Bztv4PfdASgt2EviNOTzJoBCl7yGutG8NlIg5Fd
 aqaQEUBMiDGoT01RJsMKUMPJDA2QDl5GecpWZx3c7ymVNOL5/kXBrzaKASRI
 LFVUKu9MjgWpaQfwko/UBhWcAYWicNgmT8sElrw9Vp6Lx5XznPjOA9+liBC+
 I3vH1Hxlz+8ZsYEBWnCg8B5mu1xKedqrlEgMWIE2QUB5LpNum6TfQdMJnFOe
 D80mdUoFKECnxDWNcXhxz6/TZxMKDVRZOzcEcLNeiCA5w4RQqWfF8zoK4m00
 kgkse5+50jp0T2lCscZ389Ke1221+Qhkrg+1bcwj0uQiRPN5JE+og8YJTPa6
 kZkzpwNJZTjPCzGpi0xOWrrn+p/pP4B/GUEsGUjmOWfuhzX6LHObQ2GCAY8l
 WUuehzHK80niuxbL4vUqqw0eHcVYeD2Y/YPHoNebyGj2dp0LETvwfw28VlHI
 8wP7MnneSQotCuOywqR0QhliheM+z0sxidq+wW/m/fURqHM1Zdb4vxxWyKQE
 RAbm+z3Pj7LXR1lhEt85SjLmNFvVQA4bghdPCv+7TWQUYHPtmtdzWFRJRkRq
 UwEvRfaOLSbBIDntdDnI5rUtzqs+Ma29idIwp7U38huDf3kqFHXNRupQiV6T
 F1hXGbiClx4ln6xX5Fl1rD2p11NOk/TdZaUxa8tFm271ZiqUVxCWa+faPCKD
 AbrkIXVPymVsWtfyWWkk5kOfZ9a4D5m8upsYIMsfiyyjcQjgmBeZZMFJljx8
 MQ5KnxCTLJoEPE1+w7ou/xeevywONlChOgdrHCRU+J/XaHazIbvWuJCyyIEy
 qSbWCYrMVfN8vek8AJcPfA95KV3W7xdr9JFRWCCPD5J1N5IWxBygHNc8/7+j
 zeUFzTKDlHpA1vTruLaKltVoMamqIKt7mlInwb+qnn9BIrdRPZAotMt7RNZR
 HEZgmZf5luOqakZFTbKOmlTmFfK8ymg9338QJ4/vDmudEtSD17MBK9QMq6Z5
 7r7rX3v4nRd35mvAXwHa9Oepri/ct4EKyazLA4XkC0q9tiAr4EWlmj+f/vF3
 t47edFPdmDenrx6vBHh59YXnaX7625sZEGXxcKjCeG89P0uszBPt/OLZ5fOL
 n72fxifuIBp/GEYcv7ro62fQfkf1k1+h+ZPnNigpbRvIL1CLeRuNfHEc6oAB
 vC6w6lfHxdnztDh7K11DmzPyQYmNfL6UVLo3wbSBQyPlpKzLy4c1KfxlnfKl
 1ij/bwZIfYeMeClfLaH/vefQ6SoE7Xn+mgU/jIAHjVbOWUwJ3su3WPm8mQrX
 6Luujdcq+LQ26govgVwULnoYYMUK7MhyS9tKXnftglcDikJLqLYsCuq9fP/D
 Pys7Jup3s2t8k2xU1oO6qqoYBsj/5QjyLQpDcM2D1y80ktsjBxXuh8K5UBRF
 zKt0r4rN6X9sEDMgP9aVZMPwfzFeHdu/BBgATwIODZj1b7UAAAAASUVORK5C
 YII=

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
else
	CROSS=
endif

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f config.guess config.sub

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f *.o tcptraceroute

	dh_clean

config.status: configure
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif

	./configure $(CROSS) --prefix=$(CURDIR)/debian/tcptraceroute/usr --mandir=$(CURDIR)/debian/tcptraceroute/usr/share/man CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

build: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE)

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install

	mv debian/tcptraceroute/usr/bin/tcptraceroute debian/tcptraceroute/usr/bin/tcptraceroute.mt
	mv debian/tcptraceroute/usr/share/man/man1/tcptraceroute.1 debian/tcptraceroute/usr/share/man/man1/tcptraceroute.mt.1

	chmod 4755 debian/tcptraceroute/usr/bin/tcptraceroute.mt
	chown root:root debian/tcptraceroute/usr/bin/tcptraceroute.mt

	rm -rf debian/tcptraceroute/usr/share/doc/tcptraceroute

binary: binary-arch

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_lintian
	dh_strip
	dh_compress
	dh_fixperms -Xusr/bin/tcptraceroute.mt
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

=== debian/watch ===
version=3
opts="dversionmangle=s/.debian//" \
http://michael.toren.net/code/tcptraceroute/ tcptraceroute-(.*)\.tar\.gz

## tcptraceroute 1.5beta7+debian

=== debian/changelog ===
tcptraceroute (1.5beta7+debian-4.2build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:12:16 +0000

tcptraceroute (1.5beta7+debian-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove need for root when building the package.
    (Closes: #1089450)

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 07:59:35 +0000

tcptraceroute (1.5beta7+debian-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * debian/control: Bump Standards-Version to 4.4.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Jul 2019 12:07:47 -0400

tcptraceroute (1.5beta7+debian-4.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * debian/: Apply "wrap-and-sort -abst".
  * debian/control:
    - Remove Giuseppe Iuculano from Uploader list. (Closes: #866836)
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Update Homepage, Vcs-Git and Vcs-Browser fields to latest info.
  * debian/source/compat: Use "3.0 (quilt)" format. (Closes: #681575)
  * debian/watch: Fix watch and monitor GitHub releases.
  * debian/rules: Rewrite using dh sequencer.
    + Enable full hardening. (Closes: #674577)
  * debian/patches:
    + Add patch to fix FTCBFS. (Closes: #901907)
    + Add patch to make package reproducible. (Closes: #828786)
    + Cherry-pick upstream fixes till 20170505.
    + Add patch to fix configure.ac version calculation.

 -- Boyuan Yang <byang@debian.org>  Wed, 29 May 2019 11:01:07 -0400

=== debian/control ===
Source: tcptraceroute
Section: net
Priority: optional
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libnet1-dev,
 libpcap0.8-dev,
Rules-Requires-Root: no
Standards-Version: 4.4.0
Homepage: https://github.com/mct/tcptraceroute
Vcs-Git: https://salsa.debian.org/debian/tcptraceroute.git
Vcs-Browser: https://salsa.debian.org/debian/tcptraceroute

Package: tcptraceroute
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: traceroute implementation using TCP packets
 The more traditional traceroute(8) sends out either UDP or ICMP ECHO packets
 with a TTL of one, and increments the TTL until the destination has been
 reached. By printing the gateways that generate ICMP time exceeded messages
 along the way, it is able to determine the path packets are taking to reach the
 destination.
 .
 The problem is that with the widespread use of firewalls on the modern
 Internet, many of the packets that traceroute(8) sends out end up being
 filtered, making it impossible to completely trace the path to the destination.
 However, in many cases, these firewalls will permit inbound TCP packets to
 specific ports that hosts sitting behind the firewall are listening for
 connections on. By sending out TCP SYN packets instead of UDP or ICMP ECHO
 packets, tcptraceroute is able to bypass the most common firewall filters.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tcptraceroute-$1.tar.gz%" \
 https://github.com/mct/tcptraceroute/releases \
 (?:.*?/)?tcptraceroute-v?(\d[\d.]*(?:beta)?\d?)\.tar\.gz debian uupdate
